/*
 * Class CONTAINER [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1655 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1655 [] = {0xFF01,1551,1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1655 [] = {0xFF01,1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1655 [] = {0xFF01,1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1655 [] = {0xFF01,1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1655 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1655 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1655 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1655 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1655 [] = {1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1655 [] = {0xFF01,1654,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1655 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1655 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1655[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1655), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1655), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1655), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1655), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1655), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1655), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1655), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1655), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1655), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1655), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1655), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1655), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1655), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1655), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1655), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1655), -1, 0xFFFFFFFF},
};
void Init1655(void)
{
	IDSC(desc_1655, 0, 1654);
	IDSC(desc_1655 + 1, 1, 1654);
	IDSC(desc_1655 + 32, 1134, 1654);
}


#ifdef __cplusplus
}
#endif
